import IkInstances from "./IkInstances";
import armModel from "../../../assets/gltf-glb/rigged/ik_arm_4.glb";

interface ArmBotState {
    uuid: string;
    position: [number, number, number];
    rotation: [number, number, number];
    status: string;
    material: string;
    triggerId: string;
    connections: any
}

interface ArmbotInstancesProps {
    index: number;
    armBot: ArmBotState;
    setArmBots: (armBots: ArmBotState[]) => void;
}

export const ArmbotInstances: React.FC<ArmbotInstancesProps> = ({ index, armBot, setArmBots }) => {

    return (
        <IkInstances key={index} modelUrl={armModel} position={armBot.position} rotation={armBot.rotation} />
    );
};